Repos endpoint: Updates a repo by id for an accountCopy Pagepatch https://api.devgrid.io/repositories/{id}Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamsidstringrequiredID of the repo to updateBody ParamsPartial update for a repository. When componentIds is sent, it replaces all linked components.namestringlength ≤ 255descriptionstring | nullurlstringlength ≤ 255ignorebooleantruefalseexternalSystemstring | nullexternalIdstring | nullorgstring | nullprojectstring | nulldefaultBranchstring | nullprojectSlugstring | nullprojectKeystring | nullcomponentIdsarray of uuidsReplaces all component associations when provided (empty array clears links).componentIdsADD uuidResponses 200Success response: Repo by its ID 401Error response: Unauthorized 404Repository not found for this account 409Conflict (e.g. unique constraint on name for the account) 500Server Error Response: Server encountered an errorUpdated 2 days ago